#include "vuedessin.h"
#include "ui_vuedessin.h"
#include <QGraphicsItem>

vueDessin::vueDessin(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::vueDessinClass)
{
    ui->setupUi(this);

    //Création d'un cercle
    QGraphicsEllipseItem* rond = new QGraphicsEllipseItem(0,0,50,50);
        rond->setPen(QPen(Qt::red));

    //Création d'un objet image
    QGraphicsPixmapItem* image = new QGraphicsPixmapItem();
        QPixmap* img = new QPixmap("./images/philippe.jpg");
        image->setPixmap(*img);

    //Création d'un objet "texte" : pour attacher le texte à l'image, je vais lui déclarer l'image comme "parent"
    QString apellido = "Cadaugade";
    QGraphicsSimpleTextItem* nom = new QGraphicsSimpleTextItem(apellido,image);
        //le nom serait positionné par défaut au coin supérieur gauche de l'image. Je le décale vers le bas de la hauteur de l'image
        nom->setPos(0,img->height());

    //Création d'une scene dans mon cadre dessin, ajout des objets créés à la scène, ajout de la scène au QGraphicsView
    QGraphicsScene* maScene = new QGraphicsScene(ui->cadreDessin);
        maScene->addItem(rond);
        maScene->addItem(image);
            image->setPos(50,50);
            image->rotate(45);
            //au début j'avais mis dans mon code la ligne ci-dessous mais j'avais un avertissement : elle est inutile parce que "nom" enfant de "image" est ajouté en même temps que lui
            //maScene->addItem(nom);
        ui->cadreDessin->setScene(maScene);

}

vueDessin::~vueDessin()
{
    delete ui;
}
